Package org.eclipse.net4j.util.factory

# Enum Class AnnotationFactory.InjectElement.Cardinality

java.lang.Object
java.lang.Enum<AnnotationFactory.InjectElement.Cardinality>
org.eclipse.net4j.util.factory.AnnotationFactory.InjectElement.Cardinality

All Implemented Interfaces:
  `Serializable`, `Comparable<AnnotationFactory.InjectElement.Cardinality>`, `Constable`

Enclosing class:
  AnnotationFactory.InjectElement

public static enum AnnotationFactory.InjectElement.Cardinality extends Enum<AnnotationFactory.InjectElement.Cardinality>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DETECT`
`FIRST`
`MULTIPLE`

## Method Summary

Modifier and Type
Method
Description
`static AnnotationFactory.InjectElement.Cardinality`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AnnotationFactory.InjectElement.Cardinality[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DETECT

public static final AnnotationFactory.InjectElement.Cardinality DETECT

### FIRST

public static final AnnotationFactory.InjectElement.Cardinality FIRST

### MULTIPLE

public static final AnnotationFactory.InjectElement.Cardinality MULTIPLE

## Method Details

### values

public static AnnotationFactory.InjectElement.Cardinality[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AnnotationFactory.InjectElement.Cardinality valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null